<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% if @custom_errors.present? %>
  <% @custom_errors.each do |err| %>
    <div class="flash error"><%= err %></div>
  <% end %>
<% end %>

<% html_title (@query.persisted? ? "#{t(:label_cost_report)}: #{@query.name}" : t(:label_new_report)) %>

<div class="toolbar-container">
  <div class="toolbar">
    <div class="title-container">
      <h2 id="ur_caption">
        <%= render_widget Widget::Controls::QueryName, @query, :can_rename => allowed_in_report?(:rename, @query, current_user) %>
      </h2>
    </div>
    <ul class="toolbar-items">
      <% if User.current.allowed_in_any_work_package?(:export_work_packages, in_project: @project) %>
        <li class="toolbar-item">
          <%= link_to(t(:export_to_excel),
                      { controller: "cost_reports" ,
                        action: :index,
                        format: 'xls',
                        project_id: @project },
                      class: "button icon-export-xls-descr") %>
        </li>
      <% end %>
      <%= call_hook(:view_cost_report_toolbar) %>
    </ul>
  </div>
</div>

<%= render_widget Widget::Settings, @query, :cost_types => @cost_types, :selected_type_id => @unit_id %>

<div id="result-table">
  <%= render_widget Widget::Table, @query %>
</div>
<p class="footnote">
  <%= t(:text_costs_are_rounded_note) %>
  <%= "<br />#{t(:information_restricted_depending_on_permission)}".html_safe unless User.current.admin?%>
</p>
